jaanonim
Posts: 1
Joined: Thu Jun 22, 2017 10:19 am

Apatche2

Thu Jun 22, 2017 10:32 am

This is the error code when installing using the command sudo apt-get install apache2 -y :

Code: Select all

Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-bin armhf 2.4.10-10+deb8u7
  404  Not Found [IP: 93.93.128.193 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-utils armhf 2.4.10-10+deb8u7
  404  Not Found [IP: 93.93.128.193 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-data all 2.4.10-10+deb8u7
  404  Not Found [IP: 93.93.128.193 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2 armhf 2.4.10-10+deb8u7
  404  Not Found [IP: 93.93.128.193 80]
E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2-bin_2.4.10-10+deb8u7_armhf.deb  404  Not Found [IP: 93.93.128.193 80]

E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2-utils_2.4.10-10+deb8u7_armhf.deb  404  Not Found [IP: 93.93.128.193 80]

E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2-data_2.4.10-10+deb8u7_all.deb  404  Not Found [IP: 93.93.128.193 80]

E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2_2.4.10-10+deb8u7_armhf.deb  404  Not Found [IP: 93.93.128.193 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Please help!

DirkS
Posts: 9895
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Apatche2

Thu Jun 22, 2017 12:41 pm

Run

Code: Select all

sudo apt-get update
before trying to install a program

Oshie
Posts: 1
Joined: Wed Nov 22, 2017 1:08 pm

Re: Apatche2

Wed Nov 22, 2017 1:14 pm

When I run:
sudo apt-get install update

I get the following error:

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package update

DirkS
Posts: 9895
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Apatche2

Wed Nov 22, 2017 1:24 pm


sora03
Posts: 193
Joined: Mon Dec 29, 2014 4:11 pm
Contact: Website

Re: Apatche2

Thu Nov 23, 2017 12:04 pm

make sure that the Pi has connection to internet. try ping raspberrypi.org and jessie is now oldstable we now use the stretch if your pi image is old you need to reimage the Pi or just upgrade to stretch. add this to /etc/apt/sources.list
deb http://mirrordirector.raspbian.org/raspbian/ stretch main contrib non-free rpi
FLOSS enthusiast, Debian user (linux-libre)

tony1812
Posts: 354
Joined: Sat Jul 15, 2017 12:40 pm
Location: Boston MA.

Re: Apatche2

Sat Nov 25, 2017 2:22 pm

From my experience, please do a clean install of Scretch from .img, don't use sudo update to Scretch, of course make sure you have internet connection.
After install Scretch, do the followings:
sudo get update
sudo get upgrade
sudo get dist-upgrade

Return to “Beginners”